Email Reputation
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/email \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/email"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"email": "johndoe@gmail.com",
"reputation": "high",
"suspicious": false,
"references": 181,
"details": {
"blacklisted": false,
"malicious_activity": false,
"malicious_activity_recent": false,
"credentials_leaked": true,
"credentials_leaked_recent": false,
"data_breach": true,
"first_seen": "07/01/2008",
"last_seen": "09/13/2021",
"domain_exists": true,
"domain_reputation": "n/a",
"new_domain": false,
"days_since_domain_creation": 9552,
"suspicious_tld": false,
"spam": false,
"free_provider": true,
"disposable": false,
"deliverable": true,
"accept_all": false,
"valid_mx": true,
"primary_mx": "gmail-smtp-in.l.google.com",
"spoofable": true,
"spf_strict": true,
"dmarc_enforced": false,
"profiles": [
"linkedin",
"twitter"
]
}
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Email Reputation
This endpoint retrieves information about an email and other information attached to it
GET
/
api
/
v1
/
kyc
/
email
Email Reputation
Application ID from dashboard
Query parameter
desired email
RESPONSES
json
{
"entity": {
"email": "johndoe@gmail.com",
"reputation": "high",
"suspicious": false,
"references": 181,
"details": {
"blacklisted": false,
"malicious_activity": false,
"malicious_activity_recent": false,
"credentials_leaked": true,
"credentials_leaked_recent": false,
"data_breach": true,
"first_seen": "07/01/2008",
"last_seen": "09/13/2021",
"domain_exists": true,
"domain_reputation": "n/a",
"new_domain": false,
"days_since_domain_creation": 9552,
"suspicious_tld": false,
"spam": false,
"free_provider": true,
"disposable": false,
"deliverable": true,
"accept_all": false,
"valid_mx": true,
"primary_mx": "gmail-smtp-in.l.google.com",
"spoofable": true,
"spf_strict": true,
"dmarc_enforced": false,
"profiles": [
"linkedin",
"twitter"
]
}
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I